Name:		smartcardpp
Version:	3.6.0
Release:	%mkrel 2
Summary:	A library for accessing smart cards

Group:		System/Libraries
License:	BSD
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.6/smartcardpp smartcardpp-3.6.0 && tar cjf smartcardpp-3.6.0.tar.bz2 smartcardpp-3.6.0
Source:		%{name}-%{version}.tar.bz2
# http://code.google.com/p/esteid/source/detail?r=3966
# http://code.google.com/p/esteid/source/detail?r=3967
#Patch0:		smartcardpp-3.1.0.49-gcc4.7.patch
Patch0:		smartcardpp-3.6.0-gcc4.7.patch

BuildRequires:	cmake
BuildRequires:	pcsc-lite-devel

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.

%package	-n %{name}-devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	pcsc-lite-devel

%description 	-n %{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use smart cards.


%prep
%setup -q
%patch0 -p1 -b gcc47


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
make install DESTDIR=%{buildroot} -C %{_target_platform}/build


%files
%{_bindir}/card-test
%doc LICENSE.BSD

%files -n %{name}-devel
%{_includedir}/smartcardpp/
%{_libdir}/*.a


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 382193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 sander85 <sander85> 3.6.0-1.mga3
+ Revision: 295916
- New version: 3.6.0

* Sun Jul 22 2012 sander85 <sander85> 3.1.0.49-2.mga3
+ Revision: 273530
- Fix build with gcc 4.7

* Sun Jan 08 2012 sander85 <sander85> 3.1.0.49-1.mga2
+ Revision: 193271
- clean spec
- new svn revision (49)

* Fri Apr 22 2011 sander85 <sander85> 3.1.0-1.mga1
+ Revision: 89793
- fix description of devel package
- imported package smartcardpp

